<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.project.production.mapper.TMonthlyProductionReportMapper">

    <resultMap type="TMonthlyProductionReport" id="TMonthlyProductionReportResult">
        <result property="id"                       column="id"    />
        <result property="reportMonth"              column="report_month"    />
        <result property="reportYear"               column="report_year"    />
        <result property="nap"                      column="nap"    />
        <result property="c5"                       column="c5"    />
        <result property="c6C8Na"                   column="c6_c8_na"    />
        <result property="wisonEthane"              column="wison_ethane"    />
        <result property="lpgToFurnace"             column="lpg_to_furnace"    />
        <result property="raff3FrBdAnd2ph"          column="raff3_fr_bd_and_2ph"    />
        <result property="c2FrLdpe"                 column="c2_fr_ldpe"    />
        <result property="c3FrOxo"                  column="c3_fr_oxo"    />
        <result property="mixedC3C4"                column="mixed_c3_c4"    />
        <result property="hyC9"                     column="hy_c9"    />
        <result property="pguOffgas"                column="pgu_offgas"    />
        <result property="washOil"                  column="wash_oil"    />
        <result property="toluene"                  column="toluene"    />
        <result property="hyC4FrR800"               column="hy_c4_fr_r800"    />
        <result property="crackerRawInput"          column="cracker_raw_input"    />
        <result property="crackerRawFeed"           column="cracker_raw_feed"    />
        <result property="h2Produced"               column="h2_produced"    />
        <result property="ethylenProduced"          column="ethylen_produced"    />
        <result property="propyleneProduced"        column="propylene_produced"    />
        <result property="c3C4LpgProduced"          column="c3_c4_lpg_produced"    />
        <result property="mixedC4sProduced"         column="mixed_c4s_produced"    />
        <result property="rpgProduced"              column="rpg_produced"    />
        <result property="poFluxOilProduced"        column="po_flux_oil_produced"    />
        <result property="naphthaleneProduced"      column="naphthalene_produced"    />
        <result property="eboProduced"              column="ebo_produced"    />
        <result property="residueOilProduced"       column="residue_oil_produced"    />
        <result property="methaneProduced"          column="methane_produced"    />
        <result property="offgasProduced"           column="offgas_produced"    />
        <result property="crackerOutput"            column="cracker_output"    />
        <result property="pguRpg2"                  column="pgu_rpg2"    />
        <result property="pguH2"                    column="pgu_h2"    />
        <result property="pguBtxProduced"           column="pgu_btx_produced"    />
        <result property="pguBtxToAeu"              column="pgu_btx_to_aeu"    />
        <result property="aromaticsRawInput"        column="aromatics_raw_input"    />
        <result property="aeuBenzeneProduced"       column="aeu_benzene_produced"    />
        <result property="aeuTolueneProduced"       column="aeu_toluene_produced"    />
        <result property="aeuXyleneProduced"        column="aeu_xylene_produced"    />
        <result property="aeuC6C8NaProduced"        column="aeu_c6_c8_na_produced"    />
        <result property="pguC5Produced"            column="pgu_c5_produced"    />
        <result property="pguC9Produced"            column="pgu_c9_produced"    />
        <result property="pguWashoilProduced"       column="pgu_washoil_produced"    />
        <result property="pguOffgasProduced"        column="pgu_offgas_produced"    />
        <result property="pguBtxChange"             column="pgu_btx_change"    />
        <result property="aeuTolueneProducedMEu"    column="aeu_toluene_produced_m_eu"    />
        <result property="aromaticsOutput"          column="aromatics_output"    />
        <result property="gaseityYield"             column="gaseity_yield"    />
        <result property="tatalYield"               column="tatal_yield"    />
        <result property="c3C2Yield"                column="c3_c2_yield"    />
        <result property="h2Yield"                  column="h2_yield"    />
        <result property="ethyleneYield"            column="ethylene_yield"    />
        <result property="propyleneYield"           column="propylene_yield"    />
        <result property="c3C4LpgYield"             column="c3_c4_lpg_yield"    />
        <result property="c4sYield"                 column="c4s_yield"    />
        <result property="poYield"                  column="po_yield"    />
        <result property="naphthaleneYield"         column="naphthalene_yield"    />
        <result property="eboYield"                 column="ebo_yield"    />
        <result property="wsYield"                  column="ws_yield"    />
        <result property="methaneYield"             column="methane_yield"    />
        <result property="offageYield"              column="offage_yield"    />
        <result property="rpgYield"                 column="rpg_yield"    />
        <result property="benzeneYield"             column="benzene_yield"    />
        <result property="tolueneYield"             column="toluene_yield"    />
        <result property="xyleneYield"              column="xylene_yield"    />
        <result property="c6C8NaYield"              column="c6_c8_na_yield"    />
        <result property="c5Yield"                  column="c5_yield"    />
        <result property="c9Yield"                  column="c9_yield"    />
        <result property="euLoss"                   column="eu_loss"    />
        <result property="euLossRate"               column="eu_loss_rate"    />
        <result property="aeuLoss"                  column="aeu_loss"    />
        <result property="aeuLossRate"              column="aeu_loss_rate"    />
        <result property="totalLoss"                column="total_loss"    />
        <result property="totalLossRate"            column="total_loss_rate"    />
        <result property="c2ProductRate"            column="c2_product_rate"    />
        <result property="c3ProductRate"            column="c3_product_rate"    />
        <result property="c4sProductRate"           column="c4s_product_rate"    />
        <result property="fuelGasOffgasCracker"     column="fuel_gas_offgas_cracker"    />
        <result property="shpCracker"               column="shp_cracker"    />
        <result property="hpCracker"                column="hp_cracker"    />
        <result property="mpCracker"                column="mp_cracker"    />
        <result property="lpCracker"                column="lp_cracker"    />
        <result property="electricityCracker"       column="electricity_cracker"    />
        <result property="coolingWaterCracker"      column="cooling_water_cracker"    />
        <result property="crackerConsumptionIa"     column="cracker_consumption_ia"    />
        <result property="paIaCracker"              column="pa_ia_cracker"    />
        <result property="n2Cracker"                column="n2_cracker"    />
        <result property="hpBfwCracker"             column="hp_bfw_cracker"    />
        <result property="polishedConCracker"       column="polished_con_cracker"    />
        <result property="crackerConsumptionPww"    column="cracker_consumption_pww"    />
        <result property="turbineConCracker"        column="turbine_con_cracker"    />
        <result property="crackerConsumptionCnww"   column="cracker_consumption_cnww"    />
        <result property="crackerConsumptionDww"    column="cracker_consumption_dww"    />
        <result property="crackerConsumptionWo"     column="cracker_consumption_wo"    />
        <result property="crackerConsumptionPw"     column="cracker_consumption_pw"    />
        <result property="prodWaterCracker"         column="prod_water_cracker"    />
        <result property="crackerConsumptionNg"     column="cracker_consumption_ng"    />
        <result property="crackerConsumptionOffgas" column="cracker_consumption_offgas"    />
        <result property="crackerEnergyTeTeo"       column="cracker_energy_te_teo"    />
        <result property="crackerEnergyTeTec"       column="cracker_energy_te_tec"    />
        <result property="crackerEnergyEeKgeot"     column="cracker_energy_ee_kgeot"    />
        <result property="crackerEnergyEeKgect"     column="cracker_energy_ee_kgect"    />
        <result property="shpPguAeu"                column="shp_pgu_aeu"    />
        <result property="hpPguAeu"                 column="hp_pgu_aeu"    />
        <result property="mpPguAeu"                 column="mp_pgu_aeu"    />
        <result property="lpPguAeu"                 column="lp_pgu_aeu"    />
        <result property="electricityPguAeu"        column="electricity_pgu_aeu"    />
        <result property="coolingWaterPguAeu"       column="cooling_water_pgu_aeu"    />
        <result property="aromaticsConsumptionPw"   column="aromatics_consumption_pw"    />
        <result property="prodWaterPguAeu"          column="prod_water_pgu_aeu"    />
        <result property="hpBfwPguAeu"              column="hp_bfw_pgu_aeu"    />
        <result property="n2PguAeu"                 column="n2_pgu_aeu"    />
        <result property="paIaPguAeu"               column="pa_ia_pgu_aeu"    />
        <result property="turbineConPguAeu"         column="turbine_con_pgu_aeu"    />
        <result property="aromaticsConsumptionCww"  column="aromatics_consumption_cww"    />
        <result property="aromaticsConsumptionPww"  column="aromatics_consumption_pww"    />
        <result property="aromaticsConsumptionDww"  column="aromatics_consumption_dww"    />
        <result property="aromaticsConsumptionWl"   column="aromatics_consumption_wl"    />
        <result property="aromaticsEnergyTeTeo"     column="aromatics_energy_te_teo"    />
        <result property="aromaticsEnergyTeTec"     column="aromatics_energy_te_tec"    />
        <result property="aromaticsEnergyEeKgeot"   column="aromatics_energy_ee_kgeot"    />
        <result property="aromaticsEnergyEeKgect"   column="aromatics_energy_ee_kgect"    />
        <result property="shutdouwnOpt"             column="shutdouwn_opt"    />
        <result property="shutdouwnOph"             column="shutdouwn_oph"    />
        <result property="shutdouwnEqt"             column="shutdouwn_eqt"    />
        <result property="shutdouwnEqh"             column="shutdouwn_eqh"    />
        <result property="shutdouwnIt"              column="shutdouwn_it"    />
        <result property="shutdouwnIth"             column="shutdouwn_ith"    />
        <result property="shutdouwnElt"             column="shutdouwn_elt"    />
        <result property="shutdouwnElth"            column="shutdouwn_elth"    />
        <result property="shutdouwnOt"              column="shutdouwn_ot"    />
        <result property="shutdouwnOth"             column="shutdouwn_oth"    />
        <result property="shutdouwnTt"              column="shutdouwn_tt"    />
        <result property="shutdouwnTh"              column="shutdouwn_th"    />
        <result property="runHour"                  column="run_hour"    />
        <result property="runRate"                  column="run_rate"    />
        <result property="calendarHour"             column="calendar_hour"    />
        <result property="calendarDay"              column="calendar_day"    />
        <result property="crackerLoad"              column="cracker_load"    />
        <result property="c2C3Capacity"             column="c2_c3_capacity"    />
        <result property="ethyleneLoad"             column="ethylene_load"    />
        <result property="ethyleneCapacity"         column="ethylene_capacity"    />
        <result property="aeuLoad"                  column="aeu_load"    />
        <result property="btxCapacity"              column="btx_capacity"    />
        <result property="chemicalConsumePt3000"    column="chemical_consume_pt3000"    />
        <result property="chemicalConsumeNaoh"      column="chemical_consume_naoh"    />
        <result property="chemicalConsumePt4000"    column="chemical_consume_pt4000"    />
        <result property="chemicalConsumeEc3392a"   column="chemical_consume_ec3392a"    />
        <result property="chemicalConsume2w906"     column="chemical_consume_2w906"    />
        <result property="chemicalConsumeEc1489a"   column="chemical_consume_ec1489a"    />
        <result property="chemicalConsumeEc1486a"   column="chemical_consume_ec1486a"    />
        <result property="chemicalConsume20y3483"   column="chemical_consume_20y3483"    />
        <result property="chemicalConsume8q202"     column="chemical_consume_8q202"    />
        <result property="chemicalConsume20y97a"    column="chemical_consume_20y97a"    />
        <result property="chemicalConsumeEc3269a"   column="chemical_consume_ec3269a"    />
        <result property="chemicalConsume20y25"     column="chemical_consume_20y25"    />
        <result property="chemicalConsume20y77"     column="chemical_consume_20y77"    />
        <result property="chemicalConsume510ws"     column="chemical_consume_510ws"    />
        <result property="chemicalConsumeN130"      column="chemical_consume_n130"    />
        <result property="chemicalConsumeH2so4"     column="chemical_consume_h2so4"    />
        <result property="chemicalConsumeNaoh2"     column="chemical_consume_naoh2"    />
        <result property="chemicalConsumeCh3oh"     column="chemical_consume_ch3oh"    />
        <result property="chemicalConsumePt30002"   column="chemical_consume_pt30002"    />
        <result property="costFrEthylene"           column="cost_fr_ethylene"    />
        <result property="sctuConsumptionFg"        column="sctu_consumption_fg"    />
        <result property="sctuConsumptionMp"        column="sctu_consumption_mp"    />
        <result property="sctuConsumptionLp"        column="sctu_consumption_lp"    />
        <result property="sctuConsumptionElectirc"  column="sctu_consumption_electirc"    />
        <result property="sctuConsumptionCw"        column="sctu_consumption_cw"    />
        <result property="sctuConsumptionPaIa"      column="sctu_consumption_pa_ia"    />
        <result property="subConElectric"           column="sub_con_electric"    />
        <result property="subConNg"                 column="sub_con_ng"    />
        <result property="subConFgFrEu"             column="sub_con_fg_fr_eu"    />
        <result property="subConLpg"                column="sub_con_lpg"    />
        <result property="subConHhpSteam"           column="sub_con_hhp_steam"    />
        <result property="subConMpSteam"            column="sub_con_mp_steam"    />
        <result property="subConLpSteam"            column="sub_con_lp_steam"    />
        <result property="subConPCondensate"        column="sub_con_p_condensate"    />
        <result property="subConCw"                 column="sub_con_cw"    />
        <result property="subConN2"                 column="sub_con_n2"    />
        <result property="subConIaPa"               column="sub_con_ia_pa"    />
        <result property="subConHppa"               column="sub_con_hppa"    />
        <result property="subConProductionWater"    column="sub_con_production_water"    />
        <result property="subConHpSteamFrSubNet"    column="sub_con_hp_steam_fr_sub_net"    />
        <result property="subConBfw"                column="sub_con_bfw"    />
        <result property="subConEoEgPurgeGas"       column="sub_con_eo_eg_purge_gas"    />
        <result property="subConH2FrSyngasAsFule"   column="sub_con_h2_fr_syngas_as_fule"    />
        <result property="subConHpProduct"          column="sub_con_hp_product"    />
        <result property="subConSub1FgFic1302"      column="sub_con_sub1_fg_fic1302"    />
        <result property="subConSub2FgFic2302"      column="sub_con_sub2_fg_fic2302"    />
        <result property="subConTotalNgFc3702"      column="sub_con_total_ng_fc3702"    />
        <result property="subConCostOutput"         column="sub_con_cost_output"    />
        <result property="subConZfy"                column="sub_con_zfy"    />
        <result property="subConGljcl"              column="sub_con_gljcl"    />
        <result property="subConCc"                 column="sub_con_cc"    />
        <result property="subConSc"                 column="sub_con_sc"    />
        <result property="sctfConElectric"          column="sctf_con_electric"    />
        <result property="sctfConNg"                column="sctf_con_ng"    />
        <result property="sctfConFgFrEu"            column="sctf_con_fg_fr_eu"    />
        <result property="sctfConLpg"               column="sctf_con_lpg"    />
        <result property="sctfConHhpSteam"          column="sctf_con_hhp_steam"    />
        <result property="sctfConMpSteam"           column="sctf_con_mp_steam"    />
        <result property="sctfConLpSteam"           column="sctf_con_lp_steam"    />
        <result property="sctfConPCondensate"       column="sctf_con_p_condensate"    />
        <result property="sctfConCw"                column="sctf_con_cw"    />
        <result property="sctfConN2"                column="sctf_con_n2"    />
        <result property="sctfConIaPa"              column="sctf_con_ia_pa"    />
        <result property="sctfConHppa"              column="sctf_con_hppa"    />
        <result property="sctfConProductionWater"   column="sctf_con_production_water"    />
        <result property="sctfConHpSteamFrSubNet"   column="sctf_con_hp_steam_fr_sub_net"    />
        <result property="sctfConBfw"               column="sctf_con_bfw"    />
        <result property="sctfConContaminatedWw"    column="sctf_con_contaminated_ww"    />
        <result property="sctfConProductionWw"      column="sctf_con_production_ww"    />
        <result property="kbiPcur"                  column="kbi_pcur"    />
        <result property="kbiEnergyConsumption"     column="kbi_energy_consumption"    />
        <result property="kbiPepc"                  column="kbi_pepc"    />
        <result property="kbiC2C3Production"        column="kbi_c2_c3_production"    />
        <result property="kbiC2C3Target"            column="kbi_c2_c3_target"    />
        <result property="kbiC2C3Target2"           column="kbi_c2_c3_target2"    />
        <result property="kbiC2Target"              column="kbi_c2_target"    />
        <result property="kbiC2Target2"             column="kbi_c2_target2"    />
        <result property="kbiLti"                   column="kbi_lti"    />
        <result property="kbiYepbf"                 column="kbi_yepbf"    />
        <result property="kbiYebf"                  column="kbi_yebf"    />
        <result property="kbiAeuEnergyConsumption"  column="kbi_aeu_energy_consumption"    />
        <result property="kbiBtxProduction"         column="kbi_btx_production"    />
        <result property="kbiBtxTarget"             column="kbi_btx_target"    />
        <result property="kbiBtxTarget2"            column="kbi_btx_target2"    />
        <result property="summaryClYb"              column="summary_cl_yb"    />
        <result property="summaryClSny"             column="summary_cl_sny"    />
        <result property="summaryClC5Raff"          column="summary_cl_c5_raff"    />
        <result property="summaryClYw"              column="summary_cl_yw"    />
        <result property="summaryClJqtj"            column="summary_cl_jqtj"    />
        <result property="summaryClYxjy"            column="summary_cl_yxjy"    />
        <result property="summaryClHhc4"            column="summary_cl_hhc4"    />
        <result property="summaryClSb"              column="summary_cl_sb"    />
        <result property="summaryClLjtw"            column="summary_cl_ljtw"    />
        <result property="summaryClLjtj"            column="summary_cl_ljtj"    />
        <result property="summaryClCcsny"           column="summary_cl_ccsny"    />
        <result property="summaryClZqzh"            column="summary_cl_zqzh"    />
        <result property="summaryClLqs"             column="summary_cl_lqs"    />
        <result property="summaryClD"               column="summary_cl_d"    />
        <result property="summaryClRlq"             column="summary_cl_rlq"    />
        <result property="summaryClJzs"             column="summary_cl_jzs"    />
        <result property="summaryClTpny"            column="summary_cl_tpny"    />
        <result property="summarySlYb"              column="summary_sl_yb"    />
        <result property="summarySlSny"             column="summary_sl_sny"    />
        <result property="summarySlC5Raff"          column="summary_sl_c5_raff"    />
        <result property="summarySlYw"              column="summary_sl_yw"    />
        <result property="summarySlJqtj"            column="summary_sl_jqtj"    />
        <result property="summarySlYxjy"            column="summary_sl_yxjy"    />
        <result property="summarySlHhc4"            column="summary_sl_hhc4"    />
        <result property="summarySlSb"              column="summary_sl_sb"    />
        <result property="summarySlLjtw"            column="summary_sl_ljtw"    />
        <result property="summarySlLjtj"            column="summary_sl_ljtj"    />
        <result property="summarySlCcsny"           column="summary_sl_ccsny"    />
        <result property="summarySlZqzh"            column="summary_sl_zqzh"    />
        <result property="summarySlLqs"             column="summary_sl_lqs"    />
        <result property="summarySlD"               column="summary_sl_d"    />
        <result property="summarySlRlq"             column="summary_sl_rlq"    />
        <result property="summarySlJzs"             column="summary_sl_jzs"    />
        <result property="summarySlTpny"            column="summary_sl_tpny"    />
    </resultMap>

    <select id="selectCrackerRawMaterialByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
            d.id, d.report_month, d.report_year, d.nap, d.c5, d.c6_c8_na, d.wison_ethane, d.lpg_to_furnace,
            d.raff3_fr_bd_and_2ph, d.c2_fr_ldpe, d.c3_fr_oxo, d.mixed_c3_c4, d.hy_c9, d.pgu_offgas,
            d.wash_oil, d.toluene, d.hy_c4_fr_r800, d.cracker_raw_input, d.cracker_raw_feed
        from
            t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectCrackerOutputProductByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
            d.id, d.report_month, d.report_year, d.H2_PRODUCED, d.ETHYLEN_PRODUCED, d.PROPYLENE_PRODUCED,
            d.C3_C4_LPG_PRODUCED, d.MIXED_C4S_PRODUCED, d.RPG_PRODUCED, d.PO_FLUX_OIL_PRODUCED, d.NAPHTHALENE_PRODUCED,
            d.EBO_PRODUCED, d.RESIDUE_OIL_PRODUCED, d.METHANE_PRODUCED, d.OFFGAS_PRODUCED, d.CRACKER_OUTPUT
        from
            t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectAromaticsRawMaterialByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year, d.pgu_rpg2, d.pgu_h2,
               d.pgu_btx_produced, d.pgu_btx_to_aeu, d.aromatics_raw_input
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectAromaticsOutputProductByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year, d.aeu_benzene_produced, d.aeu_toluene_produced,
               d.aeu_xylene_produced, d.aeu_c6_c8_na_produced, d.pgu_c5_produced, d.pgu_c9_produced,
               d.pgu_washoil_produced, d.pgu_offgas_produced, d.pgu_btx_change, d.aeu_toluene_produced_m_eu,
               d.aromatics_output, d.PGU_BTX_PRODUCED
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectProductYieldByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year,
               d.gaseity_yield, d.tatal_yield, d.c3_c2_yield, d.h2_yield, d.ethylene_yield, d.propylene_yield,
               d.c3_c4_lpg_yield, d.c4s_yield, d.po_yield, d.naphthalene_yield, d.ebo_yield, d.ws_yield,
               d.methane_yield, d.offage_yield, d.rpg_yield, d.benzene_yield, d.toluene_yield, d.xylene_yield,
               d.c6_c8_na_yield, d.c5_yield, d.c9_yield
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectEligibleProductRateByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year, d.c2_product_rate, d.c3_product_rate, d.c4s_product_rate
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectCrackerUtilityConsumptionByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year, d.fuel_gas_offgas_cracker, d.shp_cracker, d.hp_cracker,
               d.mp_cracker, d.lp_cracker, d.electricity_cracker, d.cooling_water_cracker, d.cracker_consumption_ia,
               d.pa_ia_cracker, d.n2_cracker, d.hp_bfw_cracker, d.polished_con_cracker, d.cracker_consumption_pww,
               d.turbine_con_cracker, d.cracker_consumption_cnww, d.cracker_consumption_dww, d.cracker_consumption_wo,
               d.cracker_consumption_pw, d.prod_water_cracker, d.cracker_consumption_ng, d.cracker_consumption_offgas
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectCrackerEnergyConsumptionByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year, d.cracker_energy_te_teo, d.cracker_energy_te_tec,
               d.cracker_energy_ee_kgeot, d.cracker_energy_ee_kgect
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectAromaticsUtilityConsumptionByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year, d.shp_pgu_aeu, d.hp_pgu_aeu, d.mp_pgu_aeu, d.lp_pgu_aeu,
               d.electricity_pgu_aeu, d.cooling_water_pgu_aeu, d.aromatics_consumption_pw, d.prod_water_pgu_aeu,
               d.hp_bfw_pgu_aeu, d.n2_pgu_aeu, d.pa_ia_pgu_aeu, d.turbine_con_pgu_aeu, d.aromatics_consumption_cww,
               d.aromatics_consumption_pww, d.aromatics_consumption_dww, d.aromatics_consumption_wl
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectAromaticsEnergyConsumptionByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year, d.aromatics_energy_te_teo, d.aromatics_energy_te_tec,
               d.aromatics_energy_ee_kgeot, d.aromatics_energy_ee_kgect
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectPlantLoadByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year,
               d.cracker_load, d.c2_c3_capacity, d.ethylene_load,
               d.ethylene_capacity, d.aeu_load, d.btx_capacity
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectCostFrEthyleneByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year, d.cost_fr_ethylene
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectRuningRateByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year,
               d.run_hour, d.run_rate, d.calendar_hour, d.calendar_day
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectShoudownHourByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year,
               d.shutdouwn_opt, d.shutdouwn_oph, d.shutdouwn_eqt, d.shutdouwn_eqh, d.shutdouwn_it, d.shutdouwn_ith,
               d.shutdouwn_elt, d.shutdouwn_elth, d.shutdouwn_ot, d.shutdouwn_oth, d.shutdouwn_tt, d.shutdouwn_th
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectOthersideByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year,
               d.eu_loss, d.eu_loss_rate, d.aeu_loss, d.aeu_loss_rate, d.total_loss, d.total_loss_rate
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectChemicalConsumeByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year,
               d.chemical_consume_pt3000, d.chemical_consume_naoh, d.chemical_consume_pt4000,
               d.chemical_consume_ec3392a, d.chemical_consume_2w906, d.chemical_consume_ec1489a,
               d.chemical_consume_ec1486a, d.chemical_consume_20y3483, d.chemical_consume_8q202,
               d.chemical_consume_20y97a, d.chemical_consume_ec3269a, d.chemical_consume_20y25,
               d.chemical_consume_20y77, d.chemical_consume_510ws, d.chemical_consume_n130,
               d.chemical_consume_h2so4, d.chemical_consume_naoh2, d.chemical_consume_ch3oh, d.chemical_consume_pt30002
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectSCTUUtilityConsumptionByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year,
               d.sctu_consumption_fg, d.sctu_consumption_mp, d.sctu_consumption_lp, d.sctu_consumption_electirc,
               d.sctu_consumption_cw, d.sctu_consumption_pa_ia
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectSUBUtilityConsumptionByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year,
               d.sub_con_electric, d.sub_con_ng, d.sub_con_fg_fr_eu, d.sub_con_lpg, d.sub_con_hhp_steam,
               d.sub_con_mp_steam, d.sub_con_lp_steam, d.sub_con_p_condensate, d.sub_con_cw, d.sub_con_n2,
               d.sub_con_ia_pa, d.sub_con_hppa, d.sub_con_production_water, d.sub_con_hp_steam_fr_sub_net,
               d.sub_con_bfw, d.sub_con_eo_eg_purge_gas, d.sub_con_h2_fr_syngas_as_fule, d.sub_con_hp_product,
               d.sub_con_sub1_fg_fic1302, d.sub_con_sub2_fg_fic2302, d.sub_con_total_ng_fc3702, d.sub_con_cost_output,
               d.sub_con_zfy, d.sub_con_gljcl, d.sub_con_cc, d.sub_con_sc
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectSCTFUtilityConsumptionByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year,
               d.sctf_con_electric, d.sctf_con_ng, d.sctf_con_fg_fr_eu, d.sctf_con_lpg, d.sctf_con_hhp_steam,
               d.sctf_con_mp_steam, d.sctf_con_lp_steam, d.sctf_con_p_condensate, d.sctf_con_cw, d.sctf_con_n2,
               d.sctf_con_ia_pa, d.sctf_con_hppa, d.sctf_con_production_water, d.sctf_con_hp_steam_fr_sub_net,
               d.sctf_con_bfw, d.sctf_con_contaminated_ww, d.sctf_con_production_ww
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectKbiByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year,
               d.kbi_pcur, d.kbi_energy_consumption, d.kbi_pepc, d.kbi_c2_c3_production, d.kbi_c2_c3_target,
               d.kbi_c2_c3_target2, d.kbi_c2_target, d.kbi_c2_target2, d.kbi_lti, d.kbi_yepbf, d.kbi_yebf,
               d.kbi_aeu_energy_consumption, d.kbi_btx_production, d.kbi_btx_target, d.kbi_btx_target2
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectSummaryByYear" parameterType="Long" resultMap="TMonthlyProductionReportResult">
        select
               d.id, d.report_month, d.report_year,
               d.summary_cl_yb, d.summary_cl_sny, d.summary_cl_c5_raff, d.summary_cl_yw, d.summary_cl_jqtj,
               d.summary_cl_yxjy, d.summary_cl_hhc4, d.summary_cl_sb, d.summary_cl_ljtw, d.summary_cl_ljtj,
               d.summary_cl_ccsny, d.summary_cl_zqzh, d.summary_cl_lqs, d.summary_cl_d, d.summary_cl_rlq,
               d.summary_cl_jzs, d.summary_cl_tpny, d.summary_sl_yb, d.summary_sl_sny, d.summary_sl_c5_raff,
               d.summary_sl_yw, d.summary_sl_jqtj, d.summary_sl_yxjy, d.summary_sl_hhc4, d.summary_sl_sb,
               d.summary_sl_ljtw, d.summary_sl_ljtj, d.summary_sl_ccsny, d.summary_sl_zqzh, d.summary_sl_lqs,
               d.summary_sl_d, d.summary_sl_rlq, d.summary_sl_jzs, d.summary_sl_tpny
        from
             t_monthly_production_report d
        where d.report_year = #{year}
    </select>

    <select id="selectTMonthlyProductionReportCountByDate" parameterType="int" resultType="int">
        select count(id)
        from t_monthly_production_report d
        where d.report_month = #{reportMonth} and d.report_year = #{reportYear}
    </select>

    <select id="selectTMonthlyProductionReportByDate" parameterType="int" resultMap="TMonthlyProductionReportResult">
        select *
        from t_monthly_production_report d
        where d.report_month = #{reportMonth} and d.report_year = #{reportYear}
    </select>

    <insert id="insertTMonthlyProductionReport" parameterType="TMonthlyProductionReport">
        <selectKey keyProperty="id" resultType="long" order="BEFORE">
            SELECT SEQ_T_MONTHLY_REPORT.NEXTVAL as id FROM DUAL
        </selectKey>
        insert into t_monthly_production_report
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="reportMonth != null">report_month,</if>
            <if test="reportYear != null">report_year,</if>
            <if test="nap != null">nap,</if>
            <if test="c5 != null">c5,</if>
            <if test="c6C8Na != null">c6_c8_na,</if>
            <if test="wisonEthane != null">wison_ethane,</if>
            <if test="lpgToFurnace != null">lpg_to_furnace,</if>
            <if test="raff3FrBdAnd2ph != null">raff3_fr_bd_and_2ph,</if>
            <if test="c2FrLdpe != null">c2_fr_ldpe,</if>
            <if test="c3FrOxo != null">c3_fr_oxo,</if>
            <if test="mixedC3C4 != null">mixed_c3_c4,</if>
            <if test="hyC9 != null">hy_c9,</if>
            <if test="pguOffgas != null">pgu_offgas,</if>
            <if test="washOil != null">wash_oil,</if>
            <if test="toluene != null">toluene,</if>
            <if test="hyC4FrR800 != null">hy_c4_fr_r800,</if>
            <if test="crackerRawInput != null">cracker_raw_input,</if>
            <if test="crackerRawFeed != null">cracker_raw_feed,</if>
            <if test="h2Produced != null">h2_produced,</if>
            <if test="ethylenProduced != null">ethylen_produced,</if>
            <if test="propyleneProduced != null">propylene_produced,</if>
            <if test="c3C4LpgProduced != null">c3_c4_lpg_produced,</if>
            <if test="mixedC4sProduced != null">mixed_c4s_produced,</if>
            <if test="rpgProduced != null">rpg_produced,</if>
            <if test="poFluxOilProduced != null">po_flux_oil_produced,</if>
            <if test="naphthaleneProduced != null">naphthalene_produced,</if>
            <if test="eboProduced != null">ebo_produced,</if>
            <if test="residueOilProduced != null">residue_oil_produced,</if>
            <if test="methaneProduced != null">methane_produced,</if>
            <if test="offgasProduced != null">offgas_produced,</if>
            <if test="crackerOutput != null">cracker_output,</if>
            <if test="pguRpg2 != null">pgu_rpg2,</if>
            <if test="pguH2 != null">pgu_h2,</if>
            <if test="pguBtxProduced != null">pgu_btx_produced,</if>
            <if test="pguBtxToAeu != null">pgu_btx_to_aeu,</if>
            <if test="aromaticsRawInput != null">aromatics_raw_input,</if>
            <if test="aeuBenzeneProduced != null">aeu_benzene_produced,</if>
            <if test="aeuTolueneProduced != null">aeu_toluene_produced,</if>
            <if test="aeuXyleneProduced != null">aeu_xylene_produced,</if>
            <if test="aeuC6C8NaProduced != null">aeu_c6_c8_na_produced,</if>
            <if test="pguC5Produced != null">pgu_c5_produced,</if>
            <if test="pguC9Produced != null">pgu_c9_produced,</if>
            <if test="pguWashoilProduced != null">pgu_washoil_produced,</if>
            <if test="pguOffgasProduced != null">pgu_offgas_produced,</if>
            <if test="pguBtxChange != null">pgu_btx_change,</if>
            <if test="aeuTolueneProducedMEu != null">aeu_toluene_produced_m_eu,</if>
            <if test="aromaticsOutput != null">aromatics_output,</if>
            <if test="gaseityYield != null">gaseity_yield,</if>
            <if test="tatalYield != null">tatal_yield,</if>
            <if test="c3C2Yield != null">c3_c2_yield,</if>
            <if test="h2Yield != null">h2_yield,</if>
            <if test="ethyleneYield != null">ethylene_yield,</if>
            <if test="propyleneYield != null">propylene_yield,</if>
            <if test="c3C4LpgYield != null">c3_c4_lpg_yield,</if>
            <if test="c4sYield != null">c4s_yield,</if>
            <if test="poYield != null">po_yield,</if>
            <if test="naphthaleneYield != null">naphthalene_yield,</if>
            <if test="eboYield != null">ebo_yield,</if>
            <if test="wsYield != null">ws_yield,</if>
            <if test="methaneYield != null">methane_yield,</if>
            <if test="offageYield != null">offage_yield,</if>
            <if test="rpgYield != null">rpg_yield,</if>
            <if test="benzeneYield != null">benzene_yield,</if>
            <if test="tolueneYield != null">toluene_yield,</if>
            <if test="xyleneYield != null">xylene_yield,</if>
            <if test="c6C8NaYield != null">c6_c8_na_yield,</if>
            <if test="c5Yield != null">c5_yield,</if>
            <if test="c9Yield != null">c9_yield,</if>
            <if test="euLoss != null">eu_loss,</if>
            <if test="euLossRate != null">eu_loss_rate,</if>
            <if test="aeuLoss != null">aeu_loss,</if>
            <if test="aeuLossRate != null">aeu_loss_rate,</if>
            <if test="totalLoss != null">total_loss,</if>
            <if test="totalLossRate != null">total_loss_rate,</if>
            <if test="c2ProductRate != null">c2_product_rate,</if>
            <if test="c3ProductRate != null">c3_product_rate,</if>
            <if test="c4sProductRate != null">c4s_product_rate,</if>
            <if test="fuelGasOffgasCracker != null">fuel_gas_offgas_cracker,</if>
            <if test="shpCracker != null">shp_cracker,</if>
            <if test="hpCracker != null">hp_cracker,</if>
            <if test="mpCracker != null">mp_cracker,</if>
            <if test="lpCracker != null">lp_cracker,</if>
            <if test="electricityCracker != null">electricity_cracker,</if>
            <if test="coolingWaterCracker != null">cooling_water_cracker,</if>
            <if test="crackerConsumptionIa != null">cracker_consumption_ia,</if>
            <if test="paIaCracker != null">pa_ia_cracker,</if>
            <if test="n2Cracker != null">n2_cracker,</if>
            <if test="hpBfwCracker != null">hp_bfw_cracker,</if>
            <if test="polishedConCracker != null">polished_con_cracker,</if>
            <if test="crackerConsumptionPww != null">cracker_consumption_pww,</if>
            <if test="turbineConCracker != null">turbine_con_cracker,</if>
            <if test="crackerConsumptionCnww != null">cracker_consumption_cnww,</if>
            <if test="crackerConsumptionDww != null">cracker_consumption_dww,</if>
            <if test="crackerConsumptionWo != null">cracker_consumption_wo,</if>
            <if test="crackerConsumptionPw != null">cracker_consumption_pw,</if>
            <if test="prodWaterCracker != null">prod_water_cracker,</if>
            <if test="crackerConsumptionNg != null">cracker_consumption_ng,</if>
            <if test="crackerConsumptionOffgas != null">cracker_consumption_offgas,</if>
            <if test="crackerEnergyTeTeo != null">cracker_energy_te_teo,</if>
            <if test="crackerEnergyTeTec != null">cracker_energy_te_tec,</if>
            <if test="crackerEnergyEeKgeot != null">cracker_energy_ee_kgeot,</if>
            <if test="crackerEnergyEeKgect != null">cracker_energy_ee_kgect,</if>
            <if test="shpPguAeu != null">shp_pgu_aeu,</if>
            <if test="hpPguAeu != null">hp_pgu_aeu,</if>
            <if test="mpPguAeu != null">mp_pgu_aeu,</if>
            <if test="lpPguAeu != null">lp_pgu_aeu,</if>
            <if test="electricityPguAeu != null">electricity_pgu_aeu,</if>
            <if test="coolingWaterPguAeu != null">cooling_water_pgu_aeu,</if>
            <if test="aromaticsConsumptionPw != null">aromatics_consumption_pw,</if>
            <if test="prodWaterPguAeu != null">prod_water_pgu_aeu,</if>
            <if test="hpBfwPguAeu != null">hp_bfw_pgu_aeu,</if>
            <if test="n2PguAeu != null">n2_pgu_aeu,</if>
            <if test="paIaPguAeu != null">pa_ia_pgu_aeu,</if>
            <if test="turbineConPguAeu != null">turbine_con_pgu_aeu,</if>
            <if test="aromaticsConsumptionCww != null">aromatics_consumption_cww,</if>
            <if test="aromaticsConsumptionPww != null">aromatics_consumption_pww,</if>
            <if test="aromaticsConsumptionDww != null">aromatics_consumption_dww,</if>
            <if test="aromaticsConsumptionWl != null">aromatics_consumption_wl,</if>
            <if test="aromaticsEnergyTeTeo != null">aromatics_energy_te_teo,</if>
            <if test="aromaticsEnergyTeTec != null">aromatics_energy_te_tec,</if>
            <if test="aromaticsEnergyEeKgeot != null">aromatics_energy_ee_kgeot,</if>
            <if test="aromaticsEnergyEeKgect != null">aromatics_energy_ee_kgect,</if>
            <if test="shutdouwnOpt != null">shutdouwn_opt,</if>
            <if test="shutdouwnOph != null">shutdouwn_oph,</if>
            <if test="shutdouwnEqt != null">shutdouwn_eqt,</if>
            <if test="shutdouwnEqh != null">shutdouwn_eqh,</if>
            <if test="shutdouwnIt != null">shutdouwn_it,</if>
            <if test="shutdouwnIth != null">shutdouwn_ith,</if>
            <if test="shutdouwnElt != null">shutdouwn_elt,</if>
            <if test="shutdouwnElth != null">shutdouwn_elth,</if>
            <if test="shutdouwnOt != null">shutdouwn_ot,</if>
            <if test="shutdouwnOth != null">shutdouwn_oth,</if>
            <if test="shutdouwnTt != null">shutdouwn_tt,</if>
            <if test="shutdouwnTh != null">shutdouwn_th,</if>
            <if test="runHour != null">run_hour,</if>
            <if test="runRate != null">run_rate,</if>
            <if test="calendarHour != null">calendar_hour,</if>
            <if test="calendarDay != null">calendar_day,</if>
            <if test="crackerLoad != null">cracker_load,</if>
            <if test="c2C3Capacity != null">c2_c3_capacity,</if>
            <if test="ethyleneLoad != null">ethylene_load,</if>
            <if test="ethyleneCapacity != null">ethylene_capacity,</if>
            <if test="aeuLoad != null">aeu_load,</if>
            <if test="btxCapacity != null">btx_capacity,</if>
            <if test="chemicalConsumePt3000 != null">chemical_consume_pt3000,</if>
            <if test="chemicalConsumeNaoh != null">chemical_consume_naoh,</if>
            <if test="chemicalConsumePt4000 != null">chemical_consume_pt4000,</if>
            <if test="chemicalConsumeEc3392a != null">chemical_consume_ec3392a,</if>
            <if test="chemicalConsume2w906 != null">chemical_consume_2w906,</if>
            <if test="chemicalConsumeEc1489a != null">chemical_consume_ec1489a,</if>
            <if test="chemicalConsumeEc1486a != null">chemical_consume_ec1486a,</if>
            <if test="chemicalConsume20y3483 != null">chemical_consume_20y3483,</if>
            <if test="chemicalConsume8q202 != null">chemical_consume_8q202,</if>
            <if test="chemicalConsume20y97a != null">chemical_consume_20y97a,</if>
            <if test="chemicalConsumeEc3269a != null">chemical_consume_ec3269a,</if>
            <if test="chemicalConsume20y25 != null">chemical_consume_20y25,</if>
            <if test="chemicalConsume20y77 != null">chemical_consume_20y77,</if>
            <if test="chemicalConsume510ws != null">chemical_consume_510ws,</if>
            <if test="chemicalConsumeN130 != null">chemical_consume_n130,</if>
            <if test="chemicalConsumeH2so4 != null">chemical_consume_h2so4,</if>
            <if test="chemicalConsumeNaoh2 != null">chemical_consume_naoh2,</if>
            <if test="chemicalConsumeCh3oh != null">chemical_consume_ch3oh,</if>
            <if test="chemicalConsumePt30002 != null">chemical_consume_pt30002,</if>
            <if test="costFrEthylene != null">cost_fr_ethylene,</if>
            <if test="sctuConsumptionFg != null">sctu_consumption_fg,</if>
            <if test="sctuConsumptionMp != null">sctu_consumption_mp,</if>
            <if test="sctuConsumptionLp != null">sctu_consumption_lp,</if>
            <if test="sctuConsumptionElectirc != null">sctu_consumption_electirc,</if>
            <if test="sctuConsumptionCw != null">sctu_consumption_cw,</if>
            <if test="sctuConsumptionPaIa != null">sctu_consumption_pa_ia,</if>
            <if test="subConElectric != null">sub_con_electric,</if>
            <if test="subConNg != null">sub_con_ng,</if>
            <if test="subConFgFrEu != null">sub_con_fg_fr_eu,</if>
            <if test="subConLpg != null">sub_con_lpg,</if>
            <if test="subConHhpSteam != null">sub_con_hhp_steam,</if>
            <if test="subConMpSteam != null">sub_con_mp_steam,</if>
            <if test="subConLpSteam != null">sub_con_lp_steam,</if>
            <if test="subConPCondensate != null">sub_con_p_condensate,</if>
            <if test="subConCw != null">sub_con_cw,</if>
            <if test="subConN2 != null">sub_con_n2,</if>
            <if test="subConIaPa != null">sub_con_ia_pa,</if>
            <if test="subConHppa != null">sub_con_hppa,</if>
            <if test="subConProductionWater != null">sub_con_production_water,</if>
            <if test="subConHpSteamFrSubNet != null">sub_con_hp_steam_fr_sub_net,</if>
            <if test="subConBfw != null">sub_con_bfw,</if>
            <if test="subConEoEgPurgeGas != null">sub_con_eo_eg_purge_gas,</if>
            <if test="subConH2FrSyngasAsFule != null">sub_con_h2_fr_syngas_as_fule,</if>
            <if test="subConHpProduct != null">sub_con_hp_product,</if>
            <if test="subConSub1FgFic1302 != null">sub_con_sub1_fg_fic1302,</if>
            <if test="subConSub2FgFic2302 != null">sub_con_sub2_fg_fic2302,</if>
            <if test="subConTotalNgFc3702 != null">sub_con_total_ng_fc3702,</if>
            <if test="subConCostOutput != null">sub_con_cost_output,</if>
            <if test="subConZfy != null">sub_con_zfy,</if>
            <if test="subConGljcl != null">sub_con_gljcl,</if>
            <if test="subConCc != null">sub_con_cc,</if>
            <if test="subConSc != null">sub_con_sc,</if>
            <if test="sctfConElectric != null">sctf_con_electric,</if>
            <if test="sctfConNg != null">sctf_con_ng,</if>
            <if test="sctfConFgFrEu != null">sctf_con_fg_fr_eu,</if>
            <if test="sctfConLpg != null">sctf_con_lpg,</if>
            <if test="sctfConHhpSteam != null">sctf_con_hhp_steam,</if>
            <if test="sctfConMpSteam != null">sctf_con_mp_steam,</if>
            <if test="sctfConLpSteam != null">sctf_con_lp_steam,</if>
            <if test="sctfConPCondensate != null">sctf_con_p_condensate,</if>
            <if test="sctfConCw != null">sctf_con_cw,</if>
            <if test="sctfConN2 != null">sctf_con_n2,</if>
            <if test="sctfConIaPa != null">sctf_con_ia_pa,</if>
            <if test="sctfConHppa != null">sctf_con_hppa,</if>
            <if test="sctfConProductionWater != null">sctf_con_production_water,</if>
            <if test="sctfConHpSteamFrSubNet != null">sctf_con_hp_steam_fr_sub_net,</if>
            <if test="sctfConBfw != null">sctf_con_bfw,</if>
            <if test="sctfConContaminatedWw != null">sctf_con_contaminated_ww,</if>
            <if test="sctfConProductionWw != null">sctf_con_production_ww,</if>
            <if test="kbiPcur != null">kbi_pcur,</if>
            <if test="kbiEnergyConsumption != null">kbi_energy_consumption,</if>
            <if test="kbiPepc != null">kbi_pepc,</if>
            <if test="kbiC2C3Production != null">kbi_c2_c3_production,</if>
            <if test="kbiC2C3Target != null">kbi_c2_c3_target,</if>
            <if test="kbiC2C3Target2 != null">kbi_c2_c3_target2,</if>
            <if test="kbiC2Target != null">kbi_c2_target,</if>
            <if test="kbiC2Target2 != null">kbi_c2_target2,</if>
            <if test="kbiLti != null">kbi_lti,</if>
            <if test="kbiYepbf != null">kbi_yepbf,</if>
            <if test="kbiYebf != null">kbi_yebf,</if>
            <if test="kbiAeuEnergyConsumption != null">kbi_aeu_energy_consumption,</if>
            <if test="kbiBtxProduction != null">kbi_btx_production,</if>
            <if test="kbiBtxTarget != null">kbi_btx_target,</if>
            <if test="kbiBtxTarget2 != null">kbi_btx_target2,</if>
            <if test="summaryClYb != null">summary_cl_yb,</if>
            <if test="summaryClSny != null">summary_cl_sny,</if>
            <if test="summaryClC5Raff != null">summary_cl_c5_raff,</if>
            <if test="summaryClYw != null">summary_cl_yw,</if>
            <if test="summaryClJqtj != null">summary_cl_jqtj,</if>
            <if test="summaryClYxjy != null">summary_cl_yxjy,</if>
            <if test="summaryClHhc4 != null">summary_cl_hhc4,</if>
            <if test="summaryClSb != null">summary_cl_sb,</if>
            <if test="summaryClLjtw != null">summary_cl_ljtw,</if>
            <if test="summaryClLjtj != null">summary_cl_ljtj,</if>
            <if test="summaryClCcsny != null">summary_cl_ccsny,</if>
            <if test="summaryClZqzh != null">summary_cl_zqzh,</if>
            <if test="summaryClLqs != null">summary_cl_lqs,</if>
            <if test="summaryClD != null">summary_cl_d,</if>
            <if test="summaryClRlq != null">summary_cl_rlq,</if>
            <if test="summaryClJzs != null">summary_cl_jzs,</if>
            <if test="summaryClTpny != null">summary_cl_tpny,</if>
            <if test="summarySlYb != null">summary_sl_yb,</if>
            <if test="summarySlSny != null">summary_sl_sny,</if>
            <if test="summarySlC5Raff != null">summary_sl_c5_raff,</if>
            <if test="summarySlYw != null">summary_sl_yw,</if>
            <if test="summarySlJqtj != null">summary_sl_jqtj,</if>
            <if test="summarySlYxjy != null">summary_sl_yxjy,</if>
            <if test="summarySlHhc4 != null">summary_sl_hhc4,</if>
            <if test="summarySlSb != null">summary_sl_sb,</if>
            <if test="summarySlLjtw != null">summary_sl_ljtw,</if>
            <if test="summarySlLjtj != null">summary_sl_ljtj,</if>
            <if test="summarySlCcsny != null">summary_sl_ccsny,</if>
            <if test="summarySlZqzh != null">summary_sl_zqzh,</if>
            <if test="summarySlLqs != null">summary_sl_lqs,</if>
            <if test="summarySlD != null">summary_sl_d,</if>
            <if test="summarySlRlq != null">summary_sl_rlq,</if>
            <if test="summarySlJzs != null">summary_sl_jzs,</if>
            <if test="summarySlTpny != null">summary_sl_tpny,</if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="reportMonth != null">#{reportMonth},</if>
            <if test="reportYear != null">#{reportYear},</if>
            <if test="nap != null">#{nap},</if>
            <if test="c5 != null">#{c5},</if>
            <if test="c6C8Na != null">#{c6C8Na},</if>
            <if test="wisonEthane != null">#{wisonEthane},</if>
            <if test="lpgToFurnace != null">#{lpgToFurnace},</if>
            <if test="raff3FrBdAnd2ph != null">#{raff3FrBdAnd2ph},</if>
            <if test="c2FrLdpe != null">#{c2FrLdpe},</if>
            <if test="c3FrOxo != null">#{c3FrOxo},</if>
            <if test="mixedC3C4 != null">#{mixedC3C4},</if>
            <if test="hyC9 != null">#{hyC9},</if>
            <if test="pguOffgas != null">#{pguOffgas},</if>
            <if test="washOil != null">#{washOil},</if>
            <if test="toluene != null">#{toluene},</if>
            <if test="hyC4FrR800 != null">#{hyC4FrR800},</if>
            <if test="crackerRawInput != null">#{crackerRawInput},</if>
            <if test="crackerRawFeed != null">#{crackerRawFeed},</if>
            <if test="h2Produced != null">#{h2Produced},</if>
            <if test="ethylenProduced != null">#{ethylenProduced},</if>
            <if test="propyleneProduced != null">#{propyleneProduced},</if>
            <if test="c3C4LpgProduced != null">#{c3C4LpgProduced},</if>
            <if test="mixedC4sProduced != null">#{mixedC4sProduced},</if>
            <if test="rpgProduced != null">#{rpgProduced},</if>
            <if test="poFluxOilProduced != null">#{poFluxOilProduced},</if>
            <if test="naphthaleneProduced != null">#{naphthaleneProduced},</if>
            <if test="eboProduced != null">#{eboProduced},</if>
            <if test="residueOilProduced != null">#{residueOilProduced},</if>
            <if test="methaneProduced != null">#{methaneProduced},</if>
            <if test="offgasProduced != null">#{offgasProduced},</if>
            <if test="crackerOutput != null">#{crackerOutput},</if>
            <if test="pguRpg2 != null">#{pguRpg2},</if>
            <if test="pguH2 != null">#{pguH2},</if>
            <if test="pguBtxProduced != null">#{pguBtxProduced},</if>
            <if test="pguBtxToAeu != null">#{pguBtxToAeu},</if>
            <if test="aromaticsRawInput != null">#{aromaticsRawInput},</if>
            <if test="aeuBenzeneProduced != null">#{aeuBenzeneProduced},</if>
            <if test="aeuTolueneProduced != null">#{aeuTolueneProduced},</if>
            <if test="aeuXyleneProduced != null">#{aeuXyleneProduced},</if>
            <if test="aeuC6C8NaProduced != null">#{aeuC6C8NaProduced},</if>
            <if test="pguC5Produced != null">#{pguC5Produced},</if>
            <if test="pguC9Produced != null">#{pguC9Produced},</if>
            <if test="pguWashoilProduced != null">#{pguWashoilProduced},</if>
            <if test="pguOffgasProduced != null">#{pguOffgasProduced},</if>
            <if test="pguBtxChange != null">#{pguBtxChange},</if>
            <if test="aeuTolueneProducedMEu != null">#{aeuTolueneProducedMEu},</if>
            <if test="aromaticsOutput != null">#{aromaticsOutput},</if>
            <if test="gaseityYield != null">#{gaseityYield},</if>
            <if test="tatalYield != null">#{tatalYield},</if>
            <if test="c3C2Yield != null">#{c3C2Yield},</if>
            <if test="h2Yield != null">#{h2Yield},</if>
            <if test="ethyleneYield != null">#{ethyleneYield},</if>
            <if test="propyleneYield != null">#{propyleneYield},</if>
            <if test="c3C4LpgYield != null">#{c3C4LpgYield},</if>
            <if test="c4sYield != null">#{c4sYield},</if>
            <if test="poYield != null">#{poYield},</if>
            <if test="naphthaleneYield != null">#{naphthaleneYield},</if>
            <if test="eboYield != null">#{eboYield},</if>
            <if test="wsYield != null">#{wsYield},</if>
            <if test="methaneYield != null">#{methaneYield},</if>
            <if test="offageYield != null">#{offageYield},</if>
            <if test="rpgYield != null">#{rpgYield},</if>
            <if test="benzeneYield != null">#{benzeneYield},</if>
            <if test="tolueneYield != null">#{tolueneYield},</if>
            <if test="xyleneYield != null">#{xyleneYield},</if>
            <if test="c6C8NaYield != null">#{c6C8NaYield},</if>
            <if test="c5Yield != null">#{c5Yield},</if>
            <if test="c9Yield != null">#{c9Yield},</if>
            <if test="euLoss != null">#{euLoss},</if>
            <if test="euLossRate != null">#{euLossRate},</if>
            <if test="aeuLoss != null">#{aeuLoss},</if>
            <if test="aeuLossRate != null">#{aeuLossRate},</if>
            <if test="totalLoss != null">#{totalLoss},</if>
            <if test="totalLossRate != null">#{totalLossRate},</if>
            <if test="c2ProductRate != null">#{c2ProductRate},</if>
            <if test="c3ProductRate != null">#{c3ProductRate},</if>
            <if test="c4sProductRate != null">#{c4sProductRate},</if>
            <if test="fuelGasOffgasCracker != null">#{fuelGasOffgasCracker},</if>
            <if test="shpCracker != null">#{shpCracker},</if>
            <if test="hpCracker != null">#{hpCracker},</if>
            <if test="mpCracker != null">#{mpCracker},</if>
            <if test="lpCracker != null">#{lpCracker},</if>
            <if test="electricityCracker != null">#{electricityCracker},</if>
            <if test="coolingWaterCracker != null">#{coolingWaterCracker},</if>
            <if test="crackerConsumptionIa != null">#{crackerConsumptionIa},</if>
            <if test="paIaCracker != null">#{paIaCracker},</if>
            <if test="n2Cracker != null">#{n2Cracker},</if>
            <if test="hpBfwCracker != null">#{hpBfwCracker},</if>
            <if test="polishedConCracker != null">#{polishedConCracker},</if>
            <if test="crackerConsumptionPww != null">#{crackerConsumptionPww},</if>
            <if test="turbineConCracker != null">#{turbineConCracker},</if>
            <if test="crackerConsumptionCnww != null">#{crackerConsumptionCnww},</if>
            <if test="crackerConsumptionDww != null">#{crackerConsumptionDww},</if>
            <if test="crackerConsumptionWo != null">#{crackerConsumptionWo},</if>
            <if test="crackerConsumptionPw != null">#{crackerConsumptionPw},</if>
            <if test="prodWaterCracker != null">#{prodWaterCracker},</if>
            <if test="crackerConsumptionNg != null">#{crackerConsumptionNg},</if>
            <if test="crackerConsumptionOffgas != null">#{crackerConsumptionOffgas},</if>
            <if test="crackerEnergyTeTeo != null">#{crackerEnergyTeTeo},</if>
            <if test="crackerEnergyTeTec != null">#{crackerEnergyTeTec},</if>
            <if test="crackerEnergyEeKgeot != null">#{crackerEnergyEeKgeot},</if>
            <if test="crackerEnergyEeKgect != null">#{crackerEnergyEeKgect},</if>
            <if test="shpPguAeu != null">#{shpPguAeu},</if>
            <if test="hpPguAeu != null">#{hpPguAeu},</if>
            <if test="mpPguAeu != null">#{mpPguAeu},</if>
            <if test="lpPguAeu != null">#{lpPguAeu},</if>
            <if test="electricityPguAeu != null">#{electricityPguAeu},</if>
            <if test="coolingWaterPguAeu != null">#{coolingWaterPguAeu},</if>
            <if test="aromaticsConsumptionPw != null">#{aromaticsConsumptionPw},</if>
            <if test="prodWaterPguAeu != null">#{prodWaterPguAeu},</if>
            <if test="hpBfwPguAeu != null">#{hpBfwPguAeu},</if>
            <if test="n2PguAeu != null">#{n2PguAeu},</if>
            <if test="paIaPguAeu != null">#{paIaPguAeu},</if>
            <if test="turbineConPguAeu != null">#{turbineConPguAeu},</if>
            <if test="aromaticsConsumptionCww != null">#{aromaticsConsumptionCww},</if>
            <if test="aromaticsConsumptionPww != null">#{aromaticsConsumptionPww},</if>
            <if test="aromaticsConsumptionDww != null">#{aromaticsConsumptionDww},</if>
            <if test="aromaticsConsumptionWl != null">#{aromaticsConsumptionWl},</if>
            <if test="aromaticsEnergyTeTeo != null">#{aromaticsEnergyTeTeo},</if>
            <if test="aromaticsEnergyTeTec != null">#{aromaticsEnergyTeTec},</if>
            <if test="aromaticsEnergyEeKgeot != null">#{aromaticsEnergyEeKgeot},</if>
            <if test="aromaticsEnergyEeKgect != null">#{aromaticsEnergyEeKgect},</if>
            <if test="shutdouwnOpt != null">#{shutdouwnOpt},</if>
            <if test="shutdouwnOph != null">#{shutdouwnOph},</if>
            <if test="shutdouwnEqt != null">#{shutdouwnEqt},</if>
            <if test="shutdouwnEqh != null">#{shutdouwnEqh},</if>
            <if test="shutdouwnIt != null">#{shutdouwnIt},</if>
            <if test="shutdouwnIth != null">#{shutdouwnIth},</if>
            <if test="shutdouwnElt != null">#{shutdouwnElt},</if>
            <if test="shutdouwnElth != null">#{shutdouwnElth},</if>
            <if test="shutdouwnOt != null">#{shutdouwnOt},</if>
            <if test="shutdouwnOth != null">#{shutdouwnOth},</if>
            <if test="shutdouwnTt != null">#{shutdouwnTt},</if>
            <if test="shutdouwnTh != null">#{shutdouwnTh},</if>
            <if test="runHour != null">#{runHour},</if>
            <if test="runRate != null">#{runRate},</if>
            <if test="calendarHour != null">#{calendarHour},</if>
            <if test="calendarDay != null">#{calendarDay},</if>
            <if test="crackerLoad != null">#{crackerLoad},</if>
            <if test="c2C3Capacity != null">#{c2C3Capacity},</if>
            <if test="ethyleneLoad != null">#{ethyleneLoad},</if>
            <if test="ethyleneCapacity != null">#{ethyleneCapacity},</if>
            <if test="aeuLoad != null">#{aeuLoad},</if>
            <if test="btxCapacity != null">#{btxCapacity},</if>
            <if test="chemicalConsumePt3000 != null">#{chemicalConsumePt3000},</if>
            <if test="chemicalConsumeNaoh != null">#{chemicalConsumeNaoh},</if>
            <if test="chemicalConsumePt4000 != null">#{chemicalConsumePt4000},</if>
            <if test="chemicalConsumeEc3392a != null">#{chemicalConsumeEc3392a},</if>
            <if test="chemicalConsume2w906 != null">#{chemicalConsume2w906},</if>
            <if test="chemicalConsumeEc1489a != null">#{chemicalConsumeEc1489a},</if>
            <if test="chemicalConsumeEc1486a != null">#{chemicalConsumeEc1486a},</if>
            <if test="chemicalConsume20y3483 != null">#{chemicalConsume20y3483},</if>
            <if test="chemicalConsume8q202 != null">#{chemicalConsume8q202},</if>
            <if test="chemicalConsume20y97a != null">#{chemicalConsume20y97a},</if>
            <if test="chemicalConsumeEc3269a != null">#{chemicalConsumeEc3269a},</if>
            <if test="chemicalConsume20y25 != null">#{chemicalConsume20y25},</if>
            <if test="chemicalConsume20y77 != null">#{chemicalConsume20y77},</if>
            <if test="chemicalConsume510ws != null">#{chemicalConsume510ws},</if>
            <if test="chemicalConsumeN130 != null">#{chemicalConsumeN130},</if>
            <if test="chemicalConsumeH2so4 != null">#{chemicalConsumeH2so4},</if>
            <if test="chemicalConsumeNaoh2 != null">#{chemicalConsumeNaoh2},</if>
            <if test="chemicalConsumeCh3oh != null">#{chemicalConsumeCh3oh},</if>
            <if test="chemicalConsumePt30002 != null">#{chemicalConsumePt30002},</if>
            <if test="costFrEthylene != null">#{costFrEthylene},</if>
            <if test="sctuConsumptionFg != null">#{sctuConsumptionFg},</if>
            <if test="sctuConsumptionMp != null">#{sctuConsumptionMp},</if>
            <if test="sctuConsumptionLp != null">#{sctuConsumptionLp},</if>
            <if test="sctuConsumptionElectirc != null">#{sctuConsumptionElectirc},</if>
            <if test="sctuConsumptionCw != null">#{sctuConsumptionCw},</if>
            <if test="sctuConsumptionPaIa != null">#{sctuConsumptionPaIa},</if>
            <if test="subConElectric != null">#{subConElectric},</if>
            <if test="subConNg != null">#{subConNg},</if>
            <if test="subConFgFrEu != null">#{subConFgFrEu},</if>
            <if test="subConLpg != null">#{subConLpg},</if>
            <if test="subConHhpSteam != null">#{subConHhpSteam},</if>
            <if test="subConMpSteam != null">#{subConMpSteam},</if>
            <if test="subConLpSteam != null">#{subConLpSteam},</if>
            <if test="subConPCondensate != null">#{subConPCondensate},</if>
            <if test="subConCw != null">#{subConCw},</if>
            <if test="subConN2 != null">#{subConN2},</if>
            <if test="subConIaPa != null">#{subConIaPa},</if>
            <if test="subConHppa != null">#{subConHppa},</if>
            <if test="subConProductionWater != null">#{subConProductionWater},</if>
            <if test="subConHpSteamFrSubNet != null">#{subConHpSteamFrSubNet},</if>
            <if test="subConBfw != null">#{subConBfw},</if>
            <if test="subConEoEgPurgeGas != null">#{subConEoEgPurgeGas},</if>
            <if test="subConH2FrSyngasAsFule != null">#{subConH2FrSyngasAsFule},</if>
            <if test="subConHpProduct != null">#{subConHpProduct},</if>
            <if test="subConSub1FgFic1302 != null">#{subConSub1FgFic1302},</if>
            <if test="subConSub2FgFic2302 != null">#{subConSub2FgFic2302},</if>
            <if test="subConTotalNgFc3702 != null">#{subConTotalNgFc3702},</if>
            <if test="subConCostOutput != null">#{subConCostOutput},</if>
            <if test="subConZfy != null">#{subConZfy},</if>
            <if test="subConGljcl != null">#{subConGljcl},</if>
            <if test="subConCc != null">#{subConCc},</if>
            <if test="subConSc != null">#{subConSc},</if>
            <if test="sctfConElectric != null">#{sctfConElectric},</if>
            <if test="sctfConNg != null">#{sctfConNg},</if>
            <if test="sctfConFgFrEu != null">#{sctfConFgFrEu},</if>
            <if test="sctfConLpg != null">#{sctfConLpg},</if>
            <if test="sctfConHhpSteam != null">#{sctfConHhpSteam},</if>
            <if test="sctfConMpSteam != null">#{sctfConMpSteam},</if>
            <if test="sctfConLpSteam != null">#{sctfConLpSteam},</if>
            <if test="sctfConPCondensate != null">#{sctfConPCondensate},</if>
            <if test="sctfConCw != null">#{sctfConCw},</if>
            <if test="sctfConN2 != null">#{sctfConN2},</if>
            <if test="sctfConIaPa != null">#{sctfConIaPa},</if>
            <if test="sctfConHppa != null">#{sctfConHppa},</if>
            <if test="sctfConProductionWater != null">#{sctfConProductionWater},</if>
            <if test="sctfConHpSteamFrSubNet != null">#{sctfConHpSteamFrSubNet},</if>
            <if test="sctfConBfw != null">#{sctfConBfw},</if>
            <if test="sctfConContaminatedWw != null">#{sctfConContaminatedWw},</if>
            <if test="sctfConProductionWw != null">#{sctfConProductionWw},</if>
            <if test="kbiPcur != null">#{kbiPcur},</if>
            <if test="kbiEnergyConsumption != null">#{kbiEnergyConsumption},</if>
            <if test="kbiPepc != null">#{kbiPepc},</if>
            <if test="kbiC2C3Production != null">#{kbiC2C3Production},</if>
            <if test="kbiC2C3Target != null">#{kbiC2C3Target},</if>
            <if test="kbiC2C3Target2 != null">#{kbiC2C3Target2},</if>
            <if test="kbiC2Target != null">#{kbiC2Target},</if>
            <if test="kbiC2Target2 != null">#{kbiC2Target2},</if>
            <if test="kbiLti != null">#{kbiLti},</if>
            <if test="kbiYepbf != null">#{kbiYepbf},</if>
            <if test="kbiYebf != null">#{kbiYebf},</if>
            <if test="kbiAeuEnergyConsumption != null">#{kbiAeuEnergyConsumption},</if>
            <if test="kbiBtxProduction != null">#{kbiBtxProduction},</if>
            <if test="kbiBtxTarget != null">#{kbiBtxTarget},</if>
            <if test="kbiBtxTarget2 != null">#{kbiBtxTarget2},</if>
            <if test="summaryClYb != null">#{summaryClYb},</if>
            <if test="summaryClSny != null">#{summaryClSny},</if>
            <if test="summaryClC5Raff != null">#{summaryClC5Raff},</if>
            <if test="summaryClYw != null">#{summaryClYw},</if>
            <if test="summaryClJqtj != null">#{summaryClJqtj},</if>
            <if test="summaryClYxjy != null">#{summaryClYxjy},</if>
            <if test="summaryClHhc4 != null">#{summaryClHhc4},</if>
            <if test="summaryClSb != null">#{summaryClSb},</if>
            <if test="summaryClLjtw != null">#{summaryClLjtw},</if>
            <if test="summaryClLjtj != null">#{summaryClLjtj},</if>
            <if test="summaryClCcsny != null">#{summaryClCcsny},</if>
            <if test="summaryClZqzh != null">#{summaryClZqzh},</if>
            <if test="summaryClLqs != null">#{summaryClLqs},</if>
            <if test="summaryClD != null">#{summaryClD},</if>
            <if test="summaryClRlq != null">#{summaryClRlq},</if>
            <if test="summaryClJzs != null">#{summaryClJzs},</if>
            <if test="summaryClTpny != null">#{summaryClTpny},</if>
            <if test="summarySlYb != null">#{summarySlYb},</if>
            <if test="summarySlSny != null">#{summarySlSny},</if>
            <if test="summarySlC5Raff != null">#{summarySlC5Raff},</if>
            <if test="summarySlYw != null">#{summarySlYw},</if>
            <if test="summarySlJqtj != null">#{summarySlJqtj},</if>
            <if test="summarySlYxjy != null">#{summarySlYxjy},</if>
            <if test="summarySlHhc4 != null">#{summarySlHhc4},</if>
            <if test="summarySlSb != null">#{summarySlSb},</if>
            <if test="summarySlLjtw != null">#{summarySlLjtw},</if>
            <if test="summarySlLjtj != null">#{summarySlLjtj},</if>
            <if test="summarySlCcsny != null">#{summarySlCcsny},</if>
            <if test="summarySlZqzh != null">#{summarySlZqzh},</if>
            <if test="summarySlLqs != null">#{summarySlLqs},</if>
            <if test="summarySlD != null">#{summarySlD},</if>
            <if test="summarySlRlq != null">#{summarySlRlq},</if>
            <if test="summarySlJzs != null">#{summarySlJzs},</if>
            <if test="summarySlTpny != null">#{summarySlTpny},</if>
        </trim>
    </insert>

    <update id="updateTMonthlyProductionReport" parameterType="TMonthlyProductionReport">
        update t_monthly_production_report
        <trim prefix="SET" suffixOverrides=",">
            <if test="nap != null">nap = #{nap},</if>
            <if test="c5 != null">c5 = #{c5},</if>
            <if test="c6C8Na != null">c6_c8_na = #{c6C8Na},</if>
            <if test="wisonEthane != null">wison_ethane = #{wisonEthane},</if>
            <if test="lpgToFurnace != null">lpg_to_furnace = #{lpgToFurnace},</if>
            <if test="raff3FrBdAnd2ph != null">raff3_fr_bd_and_2ph = #{raff3FrBdAnd2ph},</if>
            <if test="c2FrLdpe != null">c2_fr_ldpe = #{c2FrLdpe},</if>
            <if test="c3FrOxo != null">c3_fr_oxo = #{c3FrOxo},</if>
            <if test="mixedC3C4 != null">mixed_c3_c4 = #{mixedC3C4},</if>
            <if test="hyC9 != null">hy_c9 = #{hyC9},</if>
            <if test="pguOffgas != null">pgu_offgas = #{pguOffgas},</if>
            <if test="washOil != null">wash_oil = #{washOil},</if>
            <if test="toluene != null">toluene = #{toluene},</if>
            <if test="hyC4FrR800 != null">hy_c4_fr_r800 = #{hyC4FrR800},</if>
            <if test="crackerRawInput != null">cracker_raw_input = #{crackerRawInput},</if>
            <if test="crackerRawFeed != null">cracker_raw_feed = #{crackerRawFeed},</if>
            <if test="h2Produced != null">h2_produced = #{h2Produced},</if>
            <if test="ethylenProduced != null">ethylen_produced = #{ethylenProduced},</if>
            <if test="propyleneProduced != null">propylene_produced = #{propyleneProduced},</if>
            <if test="c3C4LpgProduced != null">c3_c4_lpg_produced = #{c3C4LpgProduced},</if>
            <if test="mixedC4sProduced != null">mixed_c4s_produced = #{mixedC4sProduced},</if>
            <if test="rpgProduced != null">rpg_produced = #{rpgProduced},</if>
            <if test="poFluxOilProduced != null">po_flux_oil_produced = #{poFluxOilProduced},</if>
            <if test="naphthaleneProduced != null">naphthalene_produced = #{naphthaleneProduced},</if>
            <if test="eboProduced != null">ebo_produced = #{eboProduced},</if>
            <if test="residueOilProduced != null">residue_oil_produced = #{residueOilProduced},</if>
            <if test="methaneProduced != null">methane_produced = #{methaneProduced},</if>
            <if test="offgasProduced != null">offgas_produced = #{offgasProduced},</if>
            <if test="crackerOutput != null">cracker_output = #{crackerOutput},</if>
            <if test="pguRpg2 != null">pgu_rpg2 = #{pguRpg2},</if>
            <if test="pguH2 != null">pgu_h2 = #{pguH2},</if>
            <if test="pguBtxProduced != null">pgu_btx_produced = #{pguBtxProduced},</if>
            <if test="pguBtxToAeu != null">pgu_btx_to_aeu = #{pguBtxToAeu},</if>
            <if test="aromaticsRawInput != null">aromatics_raw_input = #{aromaticsRawInput},</if>
            <if test="aeuBenzeneProduced != null">aeu_benzene_produced = #{aeuBenzeneProduced},</if>
            <if test="aeuTolueneProduced != null">aeu_toluene_produced = #{aeuTolueneProduced},</if>
            <if test="aeuXyleneProduced != null">aeu_xylene_produced = #{aeuXyleneProduced},</if>
            <if test="aeuC6C8NaProduced != null">aeu_c6_c8_na_produced = #{aeuC6C8NaProduced},</if>
            <if test="pguC5Produced != null">pgu_c5_produced = #{pguC5Produced},</if>
            <if test="pguC9Produced != null">pgu_c9_produced = #{pguC9Produced},</if>
            <if test="pguWashoilProduced != null">pgu_washoil_produced = #{pguWashoilProduced},</if>
            <if test="pguOffgasProduced != null">pgu_offgas_produced = #{pguOffgasProduced},</if>
            <if test="pguBtxChange != null">pgu_btx_change = #{pguBtxChange},</if>
            <if test="aeuTolueneProducedMEu != null">aeu_toluene_produced_m_eu = #{aeuTolueneProducedMEu},</if>
            <if test="aromaticsOutput != null">aromatics_output = #{aromaticsOutput},</if>
            <if test="gaseityYield != null">gaseity_yield = #{gaseityYield},</if>
            <if test="tatalYield != null">tatal_yield = #{tatalYield},</if>
            <if test="c3C2Yield != null">c3_c2_yield = #{c3C2Yield},</if>
            <if test="h2Yield != null">h2_yield = #{h2Yield},</if>
            <if test="ethyleneYield != null">ethylene_yield = #{ethyleneYield},</if>
            <if test="propyleneYield != null">propylene_yield = #{propyleneYield},</if>
            <if test="c3C4LpgYield != null">c3_c4_lpg_yield = #{c3C4LpgYield},</if>
            <if test="c4sYield != null">c4s_yield = #{c4sYield},</if>
            <if test="poYield != null">po_yield = #{poYield},</if>
            <if test="naphthaleneYield != null">naphthalene_yield = #{naphthaleneYield},</if>
            <if test="eboYield != null">ebo_yield = #{eboYield},</if>
            <if test="wsYield != null">ws_yield = #{wsYield},</if>
            <if test="methaneYield != null">methane_yield = #{methaneYield},</if>
            <if test="offageYield != null">offage_yield = #{offageYield},</if>
            <if test="rpgYield != null">rpg_yield = #{rpgYield},</if>
            <if test="benzeneYield != null">benzene_yield = #{benzeneYield},</if>
            <if test="tolueneYield != null">toluene_yield = #{tolueneYield},</if>
            <if test="xyleneYield != null">xylene_yield = #{xyleneYield},</if>
            <if test="c6C8NaYield != null">c6_c8_na_yield = #{c6C8NaYield},</if>
            <if test="c5Yield != null">c5_yield = #{c5Yield},</if>
            <if test="c9Yield != null">c9_yield = #{c9Yield},</if>
            <if test="euLoss != null">eu_loss = #{euLoss},</if>
            <if test="euLossRate != null">eu_loss_rate = #{euLossRate},</if>
            <if test="aeuLoss != null">aeu_loss = #{aeuLoss},</if>
            <if test="aeuLossRate != null">aeu_loss_rate = #{aeuLossRate},</if>
            <if test="totalLoss != null">total_loss = #{totalLoss},</if>
            <if test="totalLossRate != null">total_loss_rate = #{totalLossRate},</if>
            <if test="c2ProductRate != null">c2_product_rate = #{c2ProductRate},</if>
            <if test="c3ProductRate != null">c3_product_rate = #{c3ProductRate},</if>
            <if test="c4sProductRate != null">c4s_product_rate = #{c4sProductRate},</if>
            <if test="fuelGasOffgasCracker != null">fuel_gas_offgas_cracker = #{fuelGasOffgasCracker},</if>
            <if test="shpCracker != null">shp_cracker = #{shpCracker},</if>
            <if test="hpCracker != null">hp_cracker = #{hpCracker},</if>
            <if test="mpCracker != null">mp_cracker = #{mpCracker},</if>
            <if test="lpCracker != null">lp_cracker = #{lpCracker},</if>
            <if test="electricityCracker != null">electricity_cracker = #{electricityCracker},</if>
            <if test="coolingWaterCracker != null">cooling_water_cracker = #{coolingWaterCracker},</if>
            <if test="crackerConsumptionIa != null">cracker_consumption_ia = #{crackerConsumptionIa},</if>
            <if test="paIaCracker != null">pa_ia_cracker = #{paIaCracker},</if>
            <if test="n2Cracker != null">n2_cracker = #{n2Cracker},</if>
            <if test="hpBfwCracker != null">hp_bfw_cracker = #{hpBfwCracker},</if>
            <if test="polishedConCracker != null">polished_con_cracker = #{polishedConCracker},</if>
            <if test="crackerConsumptionPww != null">cracker_consumption_pww = #{crackerConsumptionPww},</if>
            <if test="turbineConCracker != null">turbine_con_cracker = #{turbineConCracker},</if>
            <if test="crackerConsumptionCnww != null">cracker_consumption_cnww = #{crackerConsumptionCnww},</if>
            <if test="crackerConsumptionDww != null">cracker_consumption_dww = #{crackerConsumptionDww},</if>
            <if test="crackerConsumptionWo != null">cracker_consumption_wo = #{crackerConsumptionWo},</if>
            <if test="crackerConsumptionPw != null">cracker_consumption_pw = #{crackerConsumptionPw},</if>
            <if test="prodWaterCracker != null">prod_water_cracker = #{prodWaterCracker},</if>
            <if test="crackerConsumptionNg != null">cracker_consumption_ng = #{crackerConsumptionNg},</if>
            <if test="crackerConsumptionOffgas != null">cracker_consumption_offgas = #{crackerConsumptionOffgas},</if>
            <if test="crackerEnergyTeTeo != null">cracker_energy_te_teo = #{crackerEnergyTeTeo},</if>
            <if test="crackerEnergyTeTec != null">cracker_energy_te_tec = #{crackerEnergyTeTec},</if>
            <if test="crackerEnergyEeKgeot != null">cracker_energy_ee_kgeot = #{crackerEnergyEeKgeot},</if>
            <if test="crackerEnergyEeKgect != null">cracker_energy_ee_kgect = #{crackerEnergyEeKgect},</if>
            <if test="shpPguAeu != null">shp_pgu_aeu = #{shpPguAeu},</if>
            <if test="hpPguAeu != null">hp_pgu_aeu = #{hpPguAeu},</if>
            <if test="mpPguAeu != null">mp_pgu_aeu = #{mpPguAeu},</if>
            <if test="lpPguAeu != null">lp_pgu_aeu = #{lpPguAeu},</if>
            <if test="electricityPguAeu != null">electricity_pgu_aeu = #{electricityPguAeu},</if>
            <if test="coolingWaterPguAeu != null">cooling_water_pgu_aeu = #{coolingWaterPguAeu},</if>
            <if test="aromaticsConsumptionPw != null">aromatics_consumption_pw = #{aromaticsConsumptionPw},</if>
            <if test="prodWaterPguAeu != null">prod_water_pgu_aeu = #{prodWaterPguAeu},</if>
            <if test="hpBfwPguAeu != null">hp_bfw_pgu_aeu = #{hpBfwPguAeu},</if>
            <if test="n2PguAeu != null">n2_pgu_aeu = #{n2PguAeu},</if>
            <if test="paIaPguAeu != null">pa_ia_pgu_aeu = #{paIaPguAeu},</if>
            <if test="turbineConPguAeu != null">turbine_con_pgu_aeu = #{turbineConPguAeu},</if>
            <if test="aromaticsConsumptionCww != null">aromatics_consumption_cww = #{aromaticsConsumptionCww},</if>
            <if test="aromaticsConsumptionPww != null">aromatics_consumption_pww = #{aromaticsConsumptionPww},</if>
            <if test="aromaticsConsumptionDww != null">aromatics_consumption_dww = #{aromaticsConsumptionDww},</if>
            <if test="aromaticsConsumptionWl != null">aromatics_consumption_wl = #{aromaticsConsumptionWl},</if>
            <if test="aromaticsEnergyTeTeo != null">aromatics_energy_te_teo = #{aromaticsEnergyTeTeo},</if>
            <if test="aromaticsEnergyTeTec != null">aromatics_energy_te_tec = #{aromaticsEnergyTeTec},</if>
            <if test="aromaticsEnergyEeKgeot != null">aromatics_energy_ee_kgeot = #{aromaticsEnergyEeKgeot},</if>
            <if test="aromaticsEnergyEeKgect != null">aromatics_energy_ee_kgect = #{aromaticsEnergyEeKgect},</if>
            <if test="shutdouwnOpt != null">shutdouwn_opt = #{shutdouwnOpt},</if>
            <if test="shutdouwnOph != null">shutdouwn_oph = #{shutdouwnOph},</if>
            <if test="shutdouwnEqt != null">shutdouwn_eqt = #{shutdouwnEqt},</if>
            <if test="shutdouwnEqh != null">shutdouwn_eqh = #{shutdouwnEqh},</if>
            <if test="shutdouwnIt != null">shutdouwn_it = #{shutdouwnIt},</if>
            <if test="shutdouwnIth != null">shutdouwn_ith = #{shutdouwnIth},</if>
            <if test="shutdouwnElt != null">shutdouwn_elt = #{shutdouwnElt},</if>
            <if test="shutdouwnElth != null">shutdouwn_elth = #{shutdouwnElth},</if>
            <if test="shutdouwnOt != null">shutdouwn_ot = #{shutdouwnOt},</if>
            <if test="shutdouwnOth != null">shutdouwn_oth = #{shutdouwnOth},</if>
            <if test="shutdouwnTt != null">shutdouwn_tt = #{shutdouwnTt},</if>
            <if test="shutdouwnTh != null">shutdouwn_th = #{shutdouwnTh},</if>
            <if test="runHour != null">run_hour = #{runHour},</if>
            <if test="runRate != null">run_rate = #{runRate},</if>
            <if test="calendarHour != null">calendar_hour = #{calendarHour},</if>
            <if test="calendarDay != null">calendar_day = #{calendarDay},</if>
            <if test="crackerLoad != null">cracker_load = #{crackerLoad},</if>
            <if test="c2C3Capacity != null">c2_c3_capacity = #{c2C3Capacity},</if>
            <if test="ethyleneLoad != null">ethylene_load = #{ethyleneLoad},</if>
            <if test="ethyleneCapacity != null">ethylene_capacity = #{ethyleneCapacity},</if>
            <if test="aeuLoad != null">aeu_load = #{aeuLoad},</if>
            <if test="btxCapacity != null">btx_capacity = #{btxCapacity},</if>
            <if test="chemicalConsumePt3000 != null">chemical_consume_pt3000 = #{chemicalConsumePt3000},</if>
            <if test="chemicalConsumeNaoh != null">chemical_consume_naoh = #{chemicalConsumeNaoh},</if>
            <if test="chemicalConsumePt4000 != null">chemical_consume_pt4000 = #{chemicalConsumePt4000},</if>
            <if test="chemicalConsumeEc3392a != null">chemical_consume_ec3392a = #{chemicalConsumeEc3392a},</if>
            <if test="chemicalConsume2w906 != null">chemical_consume_2w906 = #{chemicalConsume2w906},</if>
            <if test="chemicalConsumeEc1489a != null">chemical_consume_ec1489a = #{chemicalConsumeEc1489a},</if>
            <if test="chemicalConsumeEc1486a != null">chemical_consume_ec1486a = #{chemicalConsumeEc1486a},</if>
            <if test="chemicalConsume20y3483 != null">chemical_consume_20y3483 = #{chemicalConsume20y3483},</if>
            <if test="chemicalConsume8q202 != null">chemical_consume_8q202 = #{chemicalConsume8q202},</if>
            <if test="chemicalConsume20y97a != null">chemical_consume_20y97a = #{chemicalConsume20y97a},</if>
            <if test="chemicalConsumeEc3269a != null">chemical_consume_ec3269a = #{chemicalConsumeEc3269a},</if>
            <if test="chemicalConsume20y25 != null">chemical_consume_20y25 = #{chemicalConsume20y25},</if>
            <if test="chemicalConsume20y77 != null">chemical_consume_20y77 = #{chemicalConsume20y77},</if>
            <if test="chemicalConsume510ws != null">chemical_consume_510ws = #{chemicalConsume510ws},</if>
            <if test="chemicalConsumeN130 != null">chemical_consume_n130 = #{chemicalConsumeN130},</if>
            <if test="chemicalConsumeH2so4 != null">chemical_consume_h2so4 = #{chemicalConsumeH2so4},</if>
            <if test="chemicalConsumeNaoh2 != null">chemical_consume_naoh2 = #{chemicalConsumeNaoh2},</if>
            <if test="chemicalConsumeCh3oh != null">chemical_consume_ch3oh = #{chemicalConsumeCh3oh},</if>
            <if test="chemicalConsumePt30002 != null">chemical_consume_pt30002 = #{chemicalConsumePt30002},</if>
            <if test="costFrEthylene != null">cost_fr_ethylene = #{costFrEthylene},</if>
            <if test="sctuConsumptionFg != null">sctu_consumption_fg = #{sctuConsumptionFg},</if>
            <if test="sctuConsumptionMp != null">sctu_consumption_mp = #{sctuConsumptionMp},</if>
            <if test="sctuConsumptionLp != null">sctu_consumption_lp = #{sctuConsumptionLp},</if>
            <if test="sctuConsumptionElectirc != null">sctu_consumption_electirc = #{sctuConsumptionElectirc},</if>
            <if test="sctuConsumptionCw != null">sctu_consumption_cw = #{sctuConsumptionCw},</if>
            <if test="sctuConsumptionPaIa != null">sctu_consumption_pa_ia = #{sctuConsumptionPaIa},</if>
            <if test="subConElectric != null">sub_con_electric = #{subConElectric},</if>
            <if test="subConNg != null">sub_con_ng = #{subConNg},</if>
            <if test="subConFgFrEu != null">sub_con_fg_fr_eu = #{subConFgFrEu},</if>
            <if test="subConLpg != null">sub_con_lpg = #{subConLpg},</if>
            <if test="subConHhpSteam != null">sub_con_hhp_steam = #{subConHhpSteam},</if>
            <if test="subConMpSteam != null">sub_con_mp_steam = #{subConMpSteam},</if>
            <if test="subConLpSteam != null">sub_con_lp_steam = #{subConLpSteam},</if>
            <if test="subConPCondensate != null">sub_con_p_condensate = #{subConPCondensate},</if>
            <if test="subConCw != null">sub_con_cw = #{subConCw},</if>
            <if test="subConN2 != null">sub_con_n2 = #{subConN2},</if>
            <if test="subConIaPa != null">sub_con_ia_pa = #{subConIaPa},</if>
            <if test="subConHppa != null">sub_con_hppa = #{subConHppa},</if>
            <if test="subConProductionWater != null">sub_con_production_water = #{subConProductionWater},</if>
            <if test="subConHpSteamFrSubNet != null">sub_con_hp_steam_fr_sub_net = #{subConHpSteamFrSubNet},</if>
            <if test="subConBfw != null">sub_con_bfw = #{subConBfw},</if>
            <if test="subConEoEgPurgeGas != null">sub_con_eo_eg_purge_gas = #{subConEoEgPurgeGas},</if>
            <if test="subConH2FrSyngasAsFule != null">sub_con_h2_fr_syngas_as_fule = #{subConH2FrSyngasAsFule},</if>
            <if test="subConHpProduct != null">sub_con_hp_product = #{subConHpProduct},</if>
            <if test="subConSub1FgFic1302 != null">sub_con_sub1_fg_fic1302 = #{subConSub1FgFic1302},</if>
            <if test="subConSub2FgFic2302 != null">sub_con_sub2_fg_fic2302 = #{subConSub2FgFic2302},</if>
            <if test="subConTotalNgFc3702 != null">sub_con_total_ng_fc3702 = #{subConTotalNgFc3702},</if>
            <if test="subConCostOutput != null">sub_con_cost_output = #{subConCostOutput},</if>
            <if test="subConZfy != null">sub_con_zfy = #{subConZfy},</if>
            <if test="subConGljcl != null">sub_con_gljcl = #{subConGljcl},</if>
            <if test="subConCc != null">sub_con_cc = #{subConCc},</if>
            <if test="subConSc != null">sub_con_sc = #{subConSc},</if>
            <if test="sctfConElectric != null">sctf_con_electric = #{sctfConElectric},</if>
            <if test="sctfConNg != null">sctf_con_ng = #{sctfConNg},</if>
            <if test="sctfConFgFrEu != null">sctf_con_fg_fr_eu = #{sctfConFgFrEu},</if>
            <if test="sctfConLpg != null">sctf_con_lpg = #{sctfConLpg},</if>
            <if test="sctfConHhpSteam != null">sctf_con_hhp_steam = #{sctfConHhpSteam},</if>
            <if test="sctfConMpSteam != null">sctf_con_mp_steam = #{sctfConMpSteam},</if>
            <if test="sctfConLpSteam != null">sctf_con_lp_steam = #{sctfConLpSteam},</if>
            <if test="sctfConPCondensate != null">sctf_con_p_condensate = #{sctfConPCondensate},</if>
            <if test="sctfConCw != null">sctf_con_cw = #{sctfConCw},</if>
            <if test="sctfConN2 != null">sctf_con_n2 = #{sctfConN2},</if>
            <if test="sctfConIaPa != null">sctf_con_ia_pa = #{sctfConIaPa},</if>
            <if test="sctfConHppa != null">sctf_con_hppa = #{sctfConHppa},</if>
            <if test="sctfConProductionWater != null">sctf_con_production_water = #{sctfConProductionWater},</if>
            <if test="sctfConHpSteamFrSubNet != null">sctf_con_hp_steam_fr_sub_net = #{sctfConHpSteamFrSubNet},</if>
            <if test="sctfConBfw != null">sctf_con_bfw = #{sctfConBfw},</if>
            <if test="sctfConContaminatedWw != null">sctf_con_contaminated_ww = #{sctfConContaminatedWw},</if>
            <if test="sctfConProductionWw != null">sctf_con_production_ww = #{sctfConProductionWw},</if>
            <if test="kbiPcur != null">kbi_pcur = #{kbiPcur},</if>
            <if test="kbiEnergyConsumption != null">kbi_energy_consumption = #{kbiEnergyConsumption},</if>
            <if test="kbiPepc != null">kbi_pepc = #{kbiPepc},</if>
            <if test="kbiC2C3Production != null">kbi_c2_c3_production = #{kbiC2C3Production},</if>
            <if test="kbiC2C3Target != null">kbi_c2_c3_target = #{kbiC2C3Target},</if>
            <if test="kbiC2C3Target2 != null">kbi_c2_c3_target2 = #{kbiC2C3Target2},</if>
            <if test="kbiC2Target != null">kbi_c2_target = #{kbiC2Target},</if>
            <if test="kbiC2Target2 != null">kbi_c2_target2 = #{kbiC2Target2},</if>
            <if test="kbiLti != null">kbi_lti = #{kbiLti},</if>
            <if test="kbiYepbf != null">kbi_yepbf = #{kbiYepbf},</if>
            <if test="kbiYebf != null">kbi_yebf = #{kbiYebf},</if>
            <if test="kbiAeuEnergyConsumption != null">kbi_aeu_energy_consumption = #{kbiAeuEnergyConsumption},</if>
            <if test="kbiBtxProduction != null">kbi_btx_production = #{kbiBtxProduction},</if>
            <if test="kbiBtxTarget != null">kbi_btx_target = #{kbiBtxTarget},</if>
            <if test="kbiBtxTarget2 != null">kbi_btx_target2 = #{kbiBtxTarget2},</if>
            <if test="summaryClYb != null">summary_cl_yb = #{summaryClYb},</if>
            <if test="summaryClSny != null">summary_cl_sny = #{summaryClSny},</if>
            <if test="summaryClC5Raff != null">summary_cl_c5_raff = #{summaryClC5Raff},</if>
            <if test="summaryClYw != null">summary_cl_yw = #{summaryClYw},</if>
            <if test="summaryClJqtj != null">summary_cl_jqtj = #{summaryClJqtj},</if>
            <if test="summaryClYxjy != null">summary_cl_yxjy = #{summaryClYxjy},</if>
            <if test="summaryClHhc4 != null">summary_cl_hhc4 = #{summaryClHhc4},</if>
            <if test="summaryClSb != null">summary_cl_sb = #{summaryClSb},</if>
            <if test="summaryClLjtw != null">summary_cl_ljtw = #{summaryClLjtw},</if>
            <if test="summaryClLjtj != null">summary_cl_ljtj = #{summaryClLjtj},</if>
            <if test="summaryClCcsny != null">summary_cl_ccsny = #{summaryClCcsny},</if>
            <if test="summaryClZqzh != null">summary_cl_zqzh = #{summaryClZqzh},</if>
            <if test="summaryClLqs != null">summary_cl_lqs = #{summaryClLqs},</if>
            <if test="summaryClD != null">summary_cl_d = #{summaryClD},</if>
            <if test="summaryClRlq != null">summary_cl_rlq = #{summaryClRlq},</if>
            <if test="summaryClJzs != null">summary_cl_jzs = #{summaryClJzs},</if>
            <if test="summaryClTpny != null">summary_cl_tpny = #{summaryClTpny},</if>
            <if test="summarySlYb != null">summary_sl_yb = #{summarySlYb},</if>
            <if test="summarySlSny != null">summary_sl_sny = #{summarySlSny},</if>
            <if test="summarySlC5Raff != null">summary_sl_c5_raff = #{summarySlC5Raff},</if>
            <if test="summarySlYw != null">summary_sl_yw = #{summarySlYw},</if>
            <if test="summarySlJqtj != null">summary_sl_jqtj = #{summarySlJqtj},</if>
            <if test="summarySlYxjy != null">summary_sl_yxjy = #{summarySlYxjy},</if>
            <if test="summarySlHhc4 != null">summary_sl_hhc4 = #{summarySlHhc4},</if>
            <if test="summarySlSb != null">summary_sl_sb = #{summarySlSb},</if>
            <if test="summarySlLjtw != null">summary_sl_ljtw = #{summarySlLjtw},</if>
            <if test="summarySlLjtj != null">summary_sl_ljtj = #{summarySlLjtj},</if>
            <if test="summarySlCcsny != null">summary_sl_ccsny = #{summarySlCcsny},</if>
            <if test="summarySlZqzh != null">summary_sl_zqzh = #{summarySlZqzh},</if>
            <if test="summarySlLqs != null">summary_sl_lqs = #{summarySlLqs},</if>
            <if test="summarySlD != null">summary_sl_d = #{summarySlD},</if>
            <if test="summarySlRlq != null">summary_sl_rlq = #{summarySlRlq},</if>
            <if test="summarySlJzs != null">summary_sl_jzs = #{summarySlJzs},</if>
            <if test="summarySlTpny != null">summary_sl_tpny = #{summarySlTpny},</if>
        </trim>
        where report_month = #{reportMonth} and report_year = #{reportYear}
    </update>

</mapper>